org.apache.xmlbeans.impl.xb.xsdschema

## Interface WhiteSpaceDocument

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    WhiteSpaceDocumentImpl

      public interface WhiteSpaceDocument
      extends XmlObject

  A document containing one whiteSpace(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `WhiteSpaceDocument.WhiteSpace` An XML whiteSpace(@http://www.w3.org/2001/XMLSchema).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<WhiteSpaceDocument>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `WhiteSpaceDocument.WhiteSpace` | `addNewWhiteSpace()` Appends and returns a new empty "whiteSpace" element
    `WhiteSpaceDocument.WhiteSpace` | `getWhiteSpace()` Gets the "whiteSpace" element
    `void` | `setWhiteSpace(WhiteSpaceDocument.WhiteSpace whiteSpace)` Sets the "whiteSpace" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<WhiteSpaceDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getWhiteSpace

          WhiteSpaceDocument.WhiteSpace getWhiteSpace()

      Gets the "whiteSpace" element

    - #### setWhiteSpace

          void setWhiteSpace(WhiteSpaceDocument.WhiteSpace whiteSpace)

      Sets the "whiteSpace" element

    - #### addNewWhiteSpace

          WhiteSpaceDocument.WhiteSpace addNewWhiteSpace()

      Appends and returns a new empty "whiteSpace" element